fitsdiff(1)

NAME
fitsdiff - compare two FITS image files and report the differences in header keywords and data.

SYNOPSIS
fitsdiff [OPTION]... FILE1 FILE2

DESCRIPTION

fitsdiff is a command line script based on pyfits to compare two FITS image files and report the differences in header keywords and data.

FILE1 and FILE2 are the two files to be compared. They may also be wild cards, in such cases, they must be enclosed by double or single quotes, or they may be directory names. If both are directory names, all files in each of the directories will be included; if only one is directory name, then the directory name will be prefixed to the file name(s) specified by the other argument. For example:

% fitsdiff "*.fits" "/machine/data1"

will compare all FITS files in the current directory to the corresponding files in the directory /machine/data1.

If the two files are identical within the specified conditions, it will report "No difference is found." If the value(s) of -c and -k takes the form @filename, list is in the text file filename, and each line in that text file contains one keyword.

fitsdiff commandline arguments can also be set using the environment variable FITSDIFF_SETTINGS. If the FITSDIFF_SETTINGS environment variable is present, each argument present will override the corresponding argument on the commandline. This environment variable exists to make it easier to change the behavior of fitsdiff on a global level, such as in a set of regression tests.

GENERIC OPTIONS

-h, --help
    Display terse usage information (help).

-q, --quiet
    Produce no output and just return a status code.

-n INTEGER, --num-diffs=INTEGER
    Max number of data differences (image pixel or table element) to report per extension (default 10).

-d NUMBER, --difference-tolerance=NUMBER
    The relative tolerance for comparison of two numbers, specifically two floating point numbers. This applies to data in both images and tables, and to floating point keyword values in headers (default 0.0).

-b, --no-ignore-blanks
    Don't ignore trailing blanks (whitespace) in string values. Otherwise trailing blanks both in header keywords/values and in table column values) are not treated as significant i.e. without this option 'ABC ' and 'ABC' are considered equivalent.

--no-ignore-blank-cards
    Don't ignore entirely blank cards in headers. Normally fitsdiff does not consider blank cards when comparing headers, but this will ensure that even blank cards match up.

-o FILE, --output-file=FILE
    Output results to this file; otherwise results are printed to stdout.

HEADER COMPARISON OPTIONS

-k KEYWORDS, --ignore-keywords=KEYWORDS
    Comma-separated list of keywords not to be compared. Keywords may contain wildcard patterns. To exclude all keywords, use "*"; make sure to have double or single quotes around the asterisk.

-c KEYWORDS, --ignore-comments=KEYWORDS
    Comma-separated list of keywords whose comments will not be compared. Wildcards may be used as with --ignore-keywords.

TABLE COMPARISON OPTIONS

-f COLUMNS, --ignore-fields=COLUMNS
    Comma-separated list of fields (i.e. columns) not to be compared. All columns may be excluded using "*" as with --ignore-keywords.

EXAMPLES
% fitsdiff -k filename,filtnam1 -n 5 -d 1.e-6 test1.fits test2
This command will compare files test1.fits and test2.fits, report maximum of 5 different pixels values per extension, only report data values larger than 1.e-6 relative to each other, and will neglect the different values of keywords FILENAME and FILTNAM1 (or their very existence).